petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCheckSkeleton

Check that each cell has the correct number of vertices

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckSkeleton(DM dm, PetscBool isSimplex, PetscInt cellHeight)

### Input Parameters

| dm | - The DMPlex object
| isSimplex | - Are the cells simplices or tensor products
| cellHeight | - Normally 0

Note: This is a useful diagnostic when creating meshes programmatically.

### See Also

DMCreate(), DMCheckSymmetry(), DMCheckFaces()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages